Subject: Re: Follow up and Book Appointment
From: Deeksha Dadu <[email-masked]>
To: Linda Townsend <[email-masked]>
Cc: Rona Galangi <[email-masked]>, Saurabh Dadu <[email-masked]>, release <[email-masked]>, Ashish Dabral <[email-masked]>, Rebecca Dybala <[email-masked]>
Date: Wed, 2 Feb 2022 16:16:34 +0000

Hi Linda,

That is not a problem. I will get the schedule changed from next week for all the following Wednesdays.

Will share revised roster with you.

Regards,
Deeksha

Sent from my iPhone

On 2 Feb 2022, at 21:40, Linda Townsend <[email-masked]> wrote:

 Thank you Rona! May I ask that we adjust the schedule on Wednesdays so that 2 people start at 8, rather than 1 starting at 10? Our call volume is highest on Wednesdays due to being closed on Tuesdays. Let me know if that will work. Thank you!

On Feb 2, 2022, at 11:09 AM, Rona Galangi <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

update with Denise Robbi-Arena, Jay called her and it was sorted.

Best,

Rona Galangi
LiveSalesman

________________________________
From: "Rona Galangi" <[email-masked]<mailto:[email-masked]>>
To: "Release Concierge" <[email-masked]<mailto:[email-masked]>>
Cc: "Deeksha Dadu" <[email-masked]<mailto:[email-masked]>>, "Saurabh Dadu" <[email-masked]<mailto:[email-masked]>>, "release" <[email-masked]<mailto:[email-masked]>>, "Ashish Dabral" <[email-masked]<mailto:[email-masked]>>, "Rebecca Dybala" <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, February 2, 2022 11:42:36 PM
Subject: Re: Follow up and Book Appointment

Hi,

We're having a high volume of calls as well. Jay and Hannah are answering phone calls too.

Also, Hannah called Stephanie and it was sorted.

Thanks,
Rona

Rona Galangi
LiveSalesman

________________________________
From: "Release Concierge" <[email-masked]<mailto:[email-masked]>>
To: "Deeksha Dadu" <[email-masked]<mailto:[email-masked]>>
Cc: "Saurabh Dadu" <[email-masked]<mailto:[email-masked]>>, "Rona Galangi" <[email-masked]<mailto:[email-masked]>>, "release" <[email-masked]<mailto:[email-masked]>>, "Ashish Dabral" <[email-masked]<mailto:[email-masked]>>, "Rebecca Dybala" <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, February 2, 2022 11:23:26 PM
Subject: Re: Follow up and Book Appointment

As stated, we are being overwhelmed by calls. I want to be sure Rona and Jay are both answering calls as stated on the shared schedule. Thank you.

On Feb 2, 2022, at 10:15 AM, Release Concierge <[email-masked]<mailto:[email-masked]>> wrote:

Awesome thank you so much.

Could you also follow up with:
Stephanie- 508 579 1461
She wants to book a facial.

Are you getting calls today? We are getting a lot of calls to book appointments and just want to make sure you are receiving calls as well.

Thank you!!

On Wed, Feb 2, 2022 at 10:09 AM Deeksha Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Sure, getting this done now.

Regards,
Deeksha

Sent from my iPhone

> On 2 Feb 2022, at 20:37, Release Concierge <[email-masked]<mailto:[email-masked]>> wrote:
>
> 
> Hello!
>
> Would somebody be able to follow up with Denise Robbi-Arena? She is trying to book a spa day for her and her boyfriend using a gift card.
> Her number is 508-523-4067
>
> Please respond to let me know you are following up.
>
> Thanks!
>
> The Release Well-Being Team